import "graphile-config";
import type { GetPublicKeyOrSecret, Secret, VerifyOptions } from "jsonwebtoken";
declare global {
    namespace GraphileConfig {
        interface GrafservOptions {
            pgJwtSecret?: Secret | GetPublicKeyOrSecret;
            pgJwtVerifyOptions?: VerifyOptions;
        }
    }
}
/**
 * You really ought to handle JWTs yourself in the `preset.grafast.context`
 * function; this allows you to control the settings for validation, to ensure
 * that only the values that you need are being passed through to postgres, and
 * just generally to exercise more control over authorization.
 *
 * If you can't be bothered to do that, and you use `grafserv/node` (or
 * something compatible with it) as your server adaptor, then you can use this
 * preset to do some basics for you. But if what it does isn't enough for you -
 * do it yourself!
 */
export declare const PgLazyJWTPreset: GraphileConfig.Preset;
//# sourceMappingURL=lazy-jwt.d.ts.map